> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh accounts belonging to a connection

> Trigger a refresh of all financial accounts for a given institution connection with the latest information from the service provider. This is a premium service for most service providers and should be used sparingly for requesting up-to-date data as of the time of the call to this endpoint. Transaction and balance data is updated daily by service providers, and Meld's webhooks will notify of these updates so that product data does not become stale.

*Note:* By default, historical transactions are loaded upon initial connection for all providers. This is a premium service for Finicity and MX, so if this is not desired please reach out to Meld support to disable this feature. After doing so, then historical transactions will only be loaded after the first time a refresh is requested for a Finicity/MX connection that has transactions as an available product.

*Note:* Duplicate provider connections occur when the same customer connects to the same institution using the same login credentials through the *same* service provider. In such cases, only the most recently refreshed of these duplicates is actively maintained and the rest are considered inactive. Choosing to refresh an inactive duplicate will cause it to become the new active duplicate and it will assume the same connection status as the previous active duplicate. The previous active duplicate will now be considered inactive.



## OpenAPI

````yaml /openapi/banklinking-20260203.json post /bank-linking/connections/{connectionId}/refresh
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/connections/{connectionId}/refresh:
    post:
      tags:
        - Connections
      summary: Refresh accounts belonging to a connection
      description: >-
        Trigger a refresh of all financial accounts for a given institution
        connection with the latest information from the service provider. This
        is a premium service for most service providers and should be used
        sparingly for requesting up-to-date data as of the time of the call to
        this endpoint. Transaction and balance data is updated daily by service
        providers, and Meld's webhooks will notify of these updates so that
        product data does not become stale.


        *Note:* By default, historical transactions are loaded upon initial
        connection for all providers. This is a premium service for Finicity and
        MX, so if this is not desired please reach out to Meld support to
        disable this feature. After doing so, then historical transactions will
        only be loaded after the first time a refresh is requested for a
        Finicity/MX connection that has transactions as an available product.


        *Note:* Duplicate provider connections occur when the same customer
        connects to the same institution using the same login credentials
        through the *same* service provider. In such cases, only the most
        recently refreshed of these duplicates is actively maintained and the
        rest are considered inactive. Choosing to refresh an inactive duplicate
        will cause it to become the new active duplicate and it will assume the
        same connection status as the previous active duplicate. The previous
        active duplicate will now be considered inactive.
      operationId: bank-linking-connections-refresh
      parameters:
        - name: connectionId
          in: path
          description: Connection id
          required: true
          schema:
            type: string
            default: ''
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectionRefreshRequest_2022_11_10'
        required: true
      responses:
        '202':
          description: Request for refresh has been accepted
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ConnectionRefreshResponse'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Connection could not be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ConnectionRefreshRequest_2022_11_10:
      type: object
      properties:
        products:
          type: array
          description: >-
            List of products to refresh for the connection. Can only select
            products which were included when the connection was made. Another
            way to say this is you cannot request a refresh of products the
            customer has not granted access to. If no products are specified,
            all products from the connection are refreshed.
          items:
            type: string
            enum:
              - BALANCES
              - IDENTIFIERS
              - INVESTMENT_HOLDINGS
              - INVESTMENT_TRANSACTIONS
              - OWNERS
              - TRANSACTIONS
    ConnectionRefreshResponse:
      type: object
      properties:
        requestId:
          type: string
          description: The id of this request
        serviceProviderDetails:
          type: object
          additionalProperties: {}
          description: Additional Service Provider details, may be null
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````